Перейти к основному содержанию Перейти к навигации по документации

Скачайте Bootstrap, чтобы получить скомпилированные CSS и JavaScript, исходный код или включить его в свои любимые менеджеры пакетов, такие как npm, RubyGems и другие.

Скомпилированный CSS и JS

Загрузите готовый к использованию скомпилированный код для Bootstrap v5.1.1, чтобы легко вставить его в свой проект, который включает:

Сюда не входят документация, исходные файлы или любые дополнительные зависимости JavaScript, такие как Popper.

Скачать

Исходные файлы

Скомпилируйте Bootstrap с Вашим собственным конвейером ресурсов, загрузив наши исходные файлы Sass, JavaScript и документации. Этот вариант требует дополнительных инструментов:

Если вам потребуется наш полный набор инструментов сборки, они включены для разработки Bootstrap и его документации, но, скорее всего, они не подходят для ваши собственные цели.

Скачать исходный код

Примеры

Если Вы хотите скачать и изучить наши примеры, Вы можете скачать уже созданные примеры:

Скачать Примеры

CDN через jsDelivr

Пропустите загрузку с помощью jsDelivr, чтобы доставить кэшированную версию скомпилированных CSS и JS Bootstrap в свой проект.

<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-/bQdsTh/da6pkI1MST/rWKFNjaCP5gBSY4sEBT38Q/9RBh9AH40zEOg7Hlq2THRZ" crossorigin="anonymous"></script>

Если Вы используете наш скомпилированный JavaScript и предпочитаете включать Popper.js отдельно, добавьте Popper.js перед нашим JS, желательно через CDN.

<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js" integrity="sha384-W8fXfP3gkOKtndU4JGtKDvXbO53Wy8SZCQHczT5FMiiqmQfUpWbYdTil/SxwZgAN" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.min.js" integrity="sha384-skAcpIdS7UcVUC05LJ9Dxay8AXcDYfBJqt1CJ85S/CFujBsIzCIv+l9liuYLaMQ/" crossorigin="anonymous"></script>

Менеджеры пакетов

Загрузите исходные файлы Bootstrap практически в любой проект с помощью некоторых из самых популярных менеджеров пакетов. Независимо от диспетчера пакетов, для Bootstrap потребуется компилятор Sass и Аутопрефиксер для настройки, соответствующей нашим официальным скомпилированным версиям.

npm

Установите Bootstrap в приложения, работающие на Node.js, с помощью пакета npm:

npm install bootstrap

const bootstrap = require('bootstrap') или import bootstrap from 'bootstrap' загрузит все плагины Bootstrap в объект bootstrap. Сам модуль bootstrap экспортирует все наши плагины. Вы можете вручную загрузить плагины Bootstrap по отдельности, загрузив файлы /js/dist/*.js в каталог верхнего уровня пакета.

Bootstrap’s package.json содержит некоторые дополнительные метаданные под следующими ключами:

  • sass - путь к основному исходному файлу Sass Bootstrap
  • style - путь к неминифицированному CSS Bootstrap, который был предварительно скомпилирован с использованием настроек по умолчанию (без настройки)
Начните работу с Bootstrap через npm с помощью нашего начального проекта! Перейдите в репозиторий шаблонов twbs/bootstrap-npm-starter, чтобы узнать, как создать и настроить Bootstrap в своем собственном проекте npm. Включает компилятор Sass, Autoprefixer, Stylelint, PurgeCSS и иконки Bootstrap.

yarn

Установите Bootstrap в свои приложения, работающие на Node.js, с помощью пакета yarn:

yarn add bootstrap

RubyGems

Установите Bootstrap в свои приложения Ruby, используя Bundler (рекомендуется) и RubyGems, добавив следующую строку в свой Gemfile:

gem 'bootstrap', '~> 5.1.1'

В качестве альтернативы, если Вы не используете Bundler, Вы можете установить gem, выполнив эту команду:

gem install bootstrap -v 5.1.1

Смотрите gem’s README для получения дополнительной информации.

Composer

Вы также можете установить и управлять Sass и JavaScript для Bootstrap, используя Composer:

composer require twbs/bootstrap:5.1.1

NuGet

Если Вы разрабатываете в .NET, Вы также можете установить и управлять Bootstrap CSS or Sass и JavaScript, используя NuGet:

Install-Package bootstrap
Install-Package bootstrap.sass